// ----------------------------------------------------------------------------
//
// umFish50.PAS                                         Ulrich Mller  20.11.09
//                                                      PCS1700         Delphi4
// Deklarationen und Variable zu umFish50.DLL, ab Delphi2 einsetzbar
//
// ----------------------------------------------------------------------------

unit umFish50;

interface
const
  ftiMain = 0;   ftiExt1 = 1;   ftiExt2 = 2; ftiExt3 = 3;
  ftiOff = 0;    ftiOn = 1;     ftiLeft = 1; ftiRight = 2;
  ftiFull = 512; ftiHalf = 400;
  ftiI1 = 0;     ftiI2 = 1;     ftiI3 = 2;   ftiI4 = 3;
  ftiI5 = 4;     ftiI6 = 5;     ftiI7 = 6;   ftiI8 = 7;
  ftiI9 = 8;     ftiI10 = 9;    ftiI11 = 10; ftiI12 = 11;
  ftiC1 = 0;     ftiC2 = 1;     ftiC3 = 2;   ftiC4 = 3;
  ftiM1 = 0;     ftiM2 = 1;     ftiM3 = 2;   ftiM4 = 3;
  ftiO1 = 0;     ftiO2 = 1;     ftiO3 = 2;   ftiO4 = 3;
  ftiO5 = 4;     ftiO6 = 5;     ftiO7 = 6;   ftiO8 = 7;

  ftiFehler=LongInt($E0000001); ftiTrue=1; ftiFalse=0;

function txOpenController(ComNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txCloseController(): LongInt;
                                              stdcall; external 'umFish50.DLL';

function txGetAnalog(ctrId, AnalogNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txGetDistance(ctrId, InputNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txGetInput(ctrId, InputNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txGetTrack(ctrId, InputNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txGetVoltage(ctrId, InputNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';

function txClearCounter(ctrId, CounterNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txGetCounter(ctrId, CounterNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';

function txSetLamp(ctrId, LampNr, OnOff: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txSetMotor(ctrId, MotorNr, Direction, Speed: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
function txStartMotorEx(ctrId, MotorNr, Direction, Speed,
         iCount, robMode: LongInt):LongInt;   stdcall; external 'umFish50.DLL';
function txIsMotorReady(ctrId, MotorNr: LongInt): LongInt;
                                              stdcall; external 'umFish50.DLL';
implementation

end.
